REST APIPolicyPolicy Builder

GET

Lists all conditions available for a given touchpoint.

Path Params

  • enterpriseId string required
    Your Enterprise Id.
  • touchpointId string required
    The id of a Touchpoint.

Responses

200
All available Conditions on a given Touchpoint.

Response Body

object

Wrapper object for a list of Conditions. Not paginated.
  • conditions array of objects

    ANY OF

    • name string enum required
      The name of the condition.
      transfer.destination.type
    • label string required
      A label for the condition that you can display to users.
    • description string required
      A description for the condition that you can display to an end user.
    • status string enum required

      Status of the condition. Indicates if the condition is usable ACTIVE or not INACTIVE.

      • ACTIVE - The condition is available for use.
      • INACTIVE - The condition is NOT available for use.
      ACTIVEINACTIVE
    • parameters array of objects required
      A list of Parameters to control how the condition behaves.

      ANY OF

      • name string enum required
        The name of the condition parameter.
        type
      • label string required
        A description for the condition parameter which can be shown to an end user.
      • description string required
        A description for the condition parameter which can be shown to an end user.
      • type string enum required
        Accepts only enumerated values as listed in the 'values' property of this condition.
        ENUMERATED
      • required string enum required
        A value must always be provided, i.e. the parameter is required.
        ALWAYS
      • allowMultiple boolean required
        true, if multiple values can be provided, i.e. as a list of values. When false only one value can be provided, i.e. a list with more than one element will be rejected.
      • values array of objects required
        A list of valid values, only values from this list will be accepted.

        ANY OF

        • value string enum required
          The actual value.
          whitelistedAddress
        • label string required
          A label for the condition parameter Value which can be shown to an end user.
        • description string required
          A description for the condition parameter Value which can be shown to an end user.
401
Unauthorized

Response Body

object

  • code string
  • message string
  • status integer
403
Forbidden

Response Body

object

  • code string
  • message string
  • status integer
404
The specified resource was not found

Response Body

object

  • code string
  • message string
  • status integer
500
Server Error - Transient error please try again

Response Body

object

  • code string
  • message string
  • status integer